commit:     3ccb5995bc62c47ce64e75670416e8ce9698e062
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Mar  5 07:51:33 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Mar  5 10:13:49 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3ccb5995

dev-python/zipp: Bump to 3.4.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/zipp/Manifest          |  1 +
 dev-python/zipp/zipp-3.4.1.ebuild | 40 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 41 insertions(+)

diff --git a/dev-python/zipp/Manifest b/dev-python/zipp/Manifest
index 3b56349e7f1..fec8424a6d7 100644
--- a/dev-python/zipp/Manifest
+++ b/dev-python/zipp/Manifest
@@ -1 +1,2 @@
 DIST zipp-3.4.0.tar.gz 15638 BLAKE2B 
c06f68b9a23e6ba560cf7b703150e4b14d8bbeb5c8712c54257f587de9a44eb853804495eaecff2ad17261304da9b9433951cbb9b17e3f35446406e4e4fe517d
 SHA512 
c791e72f05a92110037cbee7153103e47ec536994d9e86cdecb34c602839c0bf5e6e4ab4ce56d6a44c7eb4f7a555ba531df8c986e302654c624f59e2217bf10f
+DIST zipp-3.4.1.tar.gz 16545 BLAKE2B 
5ebdc4d1e932d72502866701db8b0f352aca3194890d9ed340722bb2a65c4e3be0f6bb54f49567e4fd46faaec3379d0c1d668e1a55f63bea6c57e4ef0c2f9e01
 SHA512 
2ba50109efd0ceea9eb1d57e2d839f522b5a78a8dae344d6da54b79305dd46bff23f1116f562127290152c0b100369439c17fe9dc3fb14d0b42beaa48348ebe6

diff --git a/dev-python/zipp/zipp-3.4.1.ebuild 
b/dev-python/zipp/zipp-3.4.1.ebuild
new file mode 100644
index 00000000000..b486e084b54
--- /dev/null
+++ b/dev-python/zipp/zipp-3.4.1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy3 python3_{7..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Backport of pathlib-compatible object wrapper for zip files"
+HOMEPAGE="https://github.com/jaraco/zipp";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 
~sparc ~x86 ~x64-macos"
+
+BDEPEND="
+       dev-python/toml[${PYTHON_USEDEP}]
+       >=dev-python/setuptools_scm-3.4.2[${PYTHON_USEDEP}]
+       test? ( dev-python/jaraco-itertools[${PYTHON_USEDEP}] )
+"
+
+distutils_enable_sphinx docs \
+       ">=dev-python/jaraco-packaging-3.2" \
+       ">=dev-python/rst-linker-1.9"
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       # Skip a potentially flaky performance test
+       sed -i -e '/^import func_timeout\|^ *@func_timeout\.func_set_timeout/d' 
\
+               -e 's/test_implied_dirs_performance/_&/' test_zipp.py || die
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       # Ignoring zipp.py from ${S} avoids ImportPathMismatchError with Python 
< 3.8
+       # by ensuring only zipp from ${BUILD_DIR} is loaded
+       pytest --ignore zipp.py -vv || die "Tests fail with ${EPYTHON}"
+}

Reply via email to